Package org.mariadb.jdbc.client.util

## Class ClosableLock

- java.lang.Object
- - java.util.concurrent.locks.ReentrantLock
  - - org.mariadb.jdbc.client.util.ClosableLock

All Implemented Interfaces:
  `Serializable`, `AutoCloseable`, `Lock`

    public final class ClosableLock
    extends ReentrantLock
    implements AutoCloseable

Utility class to permit use AutoClosable, ensuring proper lock release.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClosableLock()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ClosableLock` `closeableLock()` Default constructor, retaining lock.

### Methods inherited from class java.util.concurrent.locks.ReentrantLock

`getHoldCount, getOwner, getQueuedThreads, getQueueLength, getWaitingThreads, getWaitQueueLength, hasQueuedThread, hasQueuedThreads, hasWaiters, isFair, isHeldByCurrentThread, isLocked, lock, lockInterruptibly, newCondition, toString, tryLock, tryLock, unlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClosableLock

    public ClosableLock()

### Method Detail

#### closeableLock

    public ClosableLock closeableLock()

Default constructor, retaining lock.

Returns:
  Closable lock

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`